Subject: Bisti & Bloomfield Amendments
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 14 Jun 1999 09:20:00 -0700 (PDT)

Attached are the following drafts:
 1.  Amendment to Compressor Services Agreement (Bloomfield)
 2.  Amendment to Compressor Services Agreement (Bisti)
 3.  Amendment to Operation and Maintenance Agreement (Bloomfield)
 4.  Amendment to Operation and Maintenance Agreement (Bisti)

These agreement will all be assigned (after amendment in accordance with the 
above) to the new LLC.

Please review.  We are trying to forward these drafts to the investors on 
Wednesday.  If we could get your (Transwestern's) comments by tommorrow 
afternoon, it would be extremely helpful.  Thanks for your attention to this 
matter